﻿using System;
using System.Collections.Generic;
using System.Linq;
using _236815_Tuple_Core_MVC.Models;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;

namespace _236815_Tuple_Core_MVC.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public IActionResult AddCustomer([Bind(Prefix = "Item1")]CustomerModel customer)
        {
            TempData["Message"] = "Id: " + customer.CId + " Name: " + customer.CName;
            return RedirectToAction("Index");
        }

        [HttpPost]
        public IActionResult AddPerson([Bind(Prefix = "Item2")]PersonModel person)
        {
            TempData["Message"] = "Id: " + person.PId + " Name: " + person.PName;
            return RedirectToAction("Index");
        }
    }
}